'use strict';


customElements.define('compodoc-menu', class extends HTMLElement {
    constructor() {
        super();
        this.isNormalMode = this.getAttribute('mode') === 'normal';
    }

    connectedCallback() {
        this.render(this.isNormalMode);
    }

    render(isNormalMode) {
        let tp = lithtml.html(`
        <nav>
            <ul class="list">
                <li class="title">
                    <a href="index.html" data-type="index-link">alapnest documentation</a>
                </li>

                <li class="divider"></li>
                ${ isNormalMode ? `<div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>` : '' }
                <li class="chapter">
                    <a data-type="chapter-link" href="index.html"><span class="icon ion-ios-home"></span>Getting started</a>
                    <ul class="links">
                        <li class="link">
                            <a href="overview.html" data-type="chapter-link">
                                <span class="icon ion-ios-keypad"></span>Overview
                            </a>
                        </li>
                        <li class="link">
                            <a href="index.html" data-type="chapter-link">
                                <span class="icon ion-ios-paper"></span>README
                            </a>
                        </li>
                                <li class="link">
                                    <a href="dependencies.html" data-type="chapter-link">
                                        <span class="icon ion-ios-list"></span>Dependencies
                                    </a>
                                </li>
                    </ul>
                </li>
                    <li class="chapter modules">
                        <a data-type="chapter-link" href="modules.html">
                            <div class="menu-toggler linked" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#modules-links"' : 'data-target="#xs-modules-links"' }>
                                <span class="icon ion-ios-archive"></span>
                                <span class="link-name">Modules</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                        </a>
                        <ul class="links collapse " ${ isNormalMode ? 'id="modules-links"' : 'id="xs-modules-links"' }>
                            <li class="link">
                                <a href="modules/AppModule.html" data-type="entity-link">AppModule</a>
                                    <li class="chapter inner">
                                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                            'data-target="#controllers-links-module-AppModule-a384579d95eb3b3f53281e2171f03d45"' : 'data-target="#xs-controllers-links-module-AppModule-a384579d95eb3b3f53281e2171f03d45"' }>
                                            <span class="icon ion-md-swap"></span>
                                            <span>Controllers</span>
                                            <span class="icon ion-ios-arrow-down"></span>
                                        </div>
                                        <ul class="links collapse" ${ isNormalMode ? 'id="controllers-links-module-AppModule-a384579d95eb3b3f53281e2171f03d45"' :
                                            'id="xs-controllers-links-module-AppModule-a384579d95eb3b3f53281e2171f03d45"' }>
                                            <li class="link">
                                                <a href="controllers/CourseController100.html"
                                                    data-type="entity-link" data-context="sub-entity" data-context-id="modules">CourseController100</a>
                                            </li>
                                            <li class="link">
                                                <a href="controllers/FileController100.html"
                                                    data-type="entity-link" data-context="sub-entity" data-context-id="modules">FileController100</a>
                                            </li>
                                            <li class="link">
                                                <a href="controllers/LanguageController100.html"
                                                    data-type="entity-link" data-context="sub-entity" data-context-id="modules">LanguageController100</a>
                                            </li>
                                            <li class="link">
                                                <a href="controllers/UserController100.html"
                                                    data-type="entity-link" data-context="sub-entity" data-context-id="modules">UserController100</a>
                                            </li>
                                        </ul>
                                    </li>
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                        'data-target="#injectables-links-module-AppModule-a384579d95eb3b3f53281e2171f03d45"' : 'data-target="#xs-injectables-links-module-AppModule-a384579d95eb3b3f53281e2171f03d45"' }>
                                        <span class="icon ion-md-arrow-round-down"></span>
                                        <span>Injectables</span>
                                        <span class="icon ion-ios-arrow-down"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="injectables-links-module-AppModule-a384579d95eb3b3f53281e2171f03d45"' :
                                        'id="xs-injectables-links-module-AppModule-a384579d95eb3b3f53281e2171f03d45"' }>
                                        <li class="link">
                                            <a href="injectables/CoursesService100.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>CoursesService100</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/EmailService.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>EmailService</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/FIleService100.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>FIleService100</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/GlobalService100.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>GlobalService100</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/LanguageService100.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>LanguageService100</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/PdfService.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>PdfService</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/UserService100.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>UserService100</a>
                                        </li>
                                    </ul>
                                </li>
                            </li>
                            <li class="link">
                                <a href="modules/AuthModule.html" data-type="entity-link">AuthModule</a>
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                        'data-target="#injectables-links-module-AuthModule-df6b510277a1b255cea73d1d49c0c709"' : 'data-target="#xs-injectables-links-module-AuthModule-df6b510277a1b255cea73d1d49c0c709"' }>
                                        <span class="icon ion-md-arrow-round-down"></span>
                                        <span>Injectables</span>
                                        <span class="icon ion-ios-arrow-down"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="injectables-links-module-AuthModule-df6b510277a1b255cea73d1d49c0c709"' :
                                        'id="xs-injectables-links-module-AuthModule-df6b510277a1b255cea73d1d49c0c709"' }>
                                        <li class="link">
                                            <a href="injectables/AuthService.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>AuthService</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/JwtQueryStrategy.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>JwtQueryStrategy</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/JwtStrategy.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>JwtStrategy</a>
                                        </li>
                                        <li class="link">
                                            <a href="injectables/LocalStrategy.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>LocalStrategy</a>
                                        </li>
                                    </ul>
                                </li>
                            </li>
                            <li class="link">
                                <a href="modules/ConfigModule.html" data-type="entity-link">ConfigModule</a>
                            </li>
                            <li class="link">
                                <a href="modules/HelperModule.html" data-type="entity-link">HelperModule</a>
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                        'data-target="#injectables-links-module-HelperModule-6f3f93ac2027e3d523f510ff4994009b"' : 'data-target="#xs-injectables-links-module-HelperModule-6f3f93ac2027e3d523f510ff4994009b"' }>
                                        <span class="icon ion-md-arrow-round-down"></span>
                                        <span>Injectables</span>
                                        <span class="icon ion-ios-arrow-down"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="injectables-links-module-HelperModule-6f3f93ac2027e3d523f510ff4994009b"' :
                                        'id="xs-injectables-links-module-HelperModule-6f3f93ac2027e3d523f510ff4994009b"' }>
                                        <li class="link">
                                            <a href="injectables/HelperService.html"
                                                data-type="entity-link" data-context="sub-entity" data-context-id="modules" }>HelperService</a>
                                        </li>
                                    </ul>
                                </li>
                            </li>
                            <li class="link">
                                <a href="modules/RoutingModule.html" data-type="entity-link">RoutingModule</a>
                            </li>
                            <li class="link">
                                <a href="modules/ValidationModule.html" data-type="entity-link">ValidationModule</a>
                            </li>
                </ul>
                </li>
                        <li class="chapter">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#controllers-links"' :
                                'data-target="#xs-controllers-links"' }>
                                <span class="icon ion-md-swap"></span>
                                <span>Controllers</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                            <ul class="links collapse " ${ isNormalMode ? 'id="controllers-links"' : 'id="xs-controllers-links"' }>
                                <li class="link">
                                    <a href="controllers/CourseController100.html" data-type="entity-link">CourseController100</a>
                                </li>
                                <li class="link">
                                    <a href="controllers/FileController100.html" data-type="entity-link">FileController100</a>
                                </li>
                                <li class="link">
                                    <a href="controllers/LanguageController100.html" data-type="entity-link">LanguageController100</a>
                                </li>
                                <li class="link">
                                    <a href="controllers/UserController100.html" data-type="entity-link">UserController100</a>
                                </li>
                            </ul>
                        </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#classes-links"' :
                            'data-target="#xs-classes-links"' }>
                            <span class="icon ion-ios-paper"></span>
                            <span>Classes</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? 'id="classes-links"' : 'id="xs-classes-links"' }>
                            <li class="link">
                                <a href="classes/AddAdminOrTrainerDTO.html" data-type="entity-link">AddAdminOrTrainerDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/AddUsersToCourseDTO.html" data-type="entity-link">AddUsersToCourseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/AllExceptionsFilter.html" data-type="entity-link">AllExceptionsFilter</a>
                            </li>
                            <li class="link">
                                <a href="classes/ApiException.html" data-type="entity-link">ApiException</a>
                            </li>
                            <li class="link">
                                <a href="classes/ApiExceptionFilter.html" data-type="entity-link">ApiExceptionFilter</a>
                            </li>
                            <li class="link">
                                <a href="classes/ApiParseIntPipe.html" data-type="entity-link">ApiParseIntPipe</a>
                            </li>
                            <li class="link">
                                <a href="classes/BooleanResponseDTO.html" data-type="entity-link">BooleanResponseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/Config.html" data-type="entity-link">Config</a>
                            </li>
                            <li class="link">
                                <a href="classes/ConfigVariableNotFoundException.html" data-type="entity-link">ConfigVariableNotFoundException</a>
                            </li>
                            <li class="link">
                                <a href="classes/Course.html" data-type="entity-link">Course</a>
                            </li>
                            <li class="link">
                                <a href="classes/CourseNotFoundException.html" data-type="entity-link">CourseNotFoundException</a>
                            </li>
                            <li class="link">
                                <a href="classes/CourseStatus.html" data-type="entity-link">CourseStatus</a>
                            </li>
                            <li class="link">
                                <a href="classes/CourseType.html" data-type="entity-link">CourseType</a>
                            </li>
                            <li class="link">
                                <a href="classes/CreateCourseDTO.html" data-type="entity-link">CreateCourseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/CreateCourseResponseDTO.html" data-type="entity-link">CreateCourseResponseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/CreateFileCheckGlobalDTO.html" data-type="entity-link">CreateFileCheckGlobalDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/DeleteFileDTO.html" data-type="entity-link">DeleteFileDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/EditCourseFromCMSDTO.html" data-type="entity-link">EditCourseFromCMSDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/EditUserDataFromCMSDTO.html" data-type="entity-link">EditUserDataFromCMSDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/EmptyUserArrayException.html" data-type="entity-link">EmptyUserArrayException</a>
                            </li>
                            <li class="link">
                                <a href="classes/FileAlreadyExistsException.html" data-type="entity-link">FileAlreadyExistsException</a>
                            </li>
                            <li class="link">
                                <a href="classes/FileCourseNotFoundException.html" data-type="entity-link">FileCourseNotFoundException</a>
                            </li>
                            <li class="link">
                                <a href="classes/FIleMissingException.html" data-type="entity-link">FIleMissingException</a>
                            </li>
                            <li class="link">
                                <a href="classes/Files.html" data-type="entity-link">Files</a>
                            </li>
                            <li class="link">
                                <a href="classes/FilesCourse.html" data-type="entity-link">FilesCourse</a>
                            </li>
                            <li class="link">
                                <a href="classes/FileType.html" data-type="entity-link">FileType</a>
                            </li>
                            <li class="link">
                                <a href="classes/ForbiddenException.html" data-type="entity-link">ForbiddenException</a>
                            </li>
                            <li class="link">
                                <a href="classes/ForbiddenExceptionFilter.html" data-type="entity-link">ForbiddenExceptionFilter</a>
                            </li>
                            <li class="link">
                                <a href="classes/ForgotPasswordDTO.html" data-type="entity-link">ForgotPasswordDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/Group.html" data-type="entity-link">Group</a>
                            </li>
                            <li class="link">
                                <a href="classes/GroupNotFoundException.html" data-type="entity-link">GroupNotFoundException</a>
                            </li>
                            <li class="link">
                                <a href="classes/initdb1592655527980.html" data-type="entity-link">initdb1592655527980</a>
                            </li>
                            <li class="link">
                                <a href="classes/InvalidEmailOrPasswordException.html" data-type="entity-link">InvalidEmailOrPasswordException</a>
                            </li>
                            <li class="link">
                                <a href="classes/InvalidParamsException.html" data-type="entity-link">InvalidParamsException</a>
                            </li>
                            <li class="link">
                                <a href="classes/InvalidUrlParamsException.html" data-type="entity-link">InvalidUrlParamsException</a>
                            </li>
                            <li class="link">
                                <a href="classes/Language.html" data-type="entity-link">Language</a>
                            </li>
                            <li class="link">
                                <a href="classes/LoginDTO.html" data-type="entity-link">LoginDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/LoginResponseDTO.html" data-type="entity-link">LoginResponseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/MeResponseDTO.html" data-type="entity-link">MeResponseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/ModifyAdminDTO.html" data-type="entity-link">ModifyAdminDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/ModifyUserDTO.html" data-type="entity-link">ModifyUserDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/ModifyUserFromProfileDTO.html" data-type="entity-link">ModifyUserFromProfileDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/NotFoundLanguageException.html" data-type="entity-link">NotFoundLanguageException</a>
                            </li>
                            <li class="link">
                                <a href="classes/NotSupportedFileException.html" data-type="entity-link">NotSupportedFileException</a>
                            </li>
                            <li class="link">
                                <a href="classes/PdfSaveModelDTO.html" data-type="entity-link">PdfSaveModelDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/QrCodeLoginResponseDTO.html" data-type="entity-link">QrCodeLoginResponseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/QrLoginDTO.html" data-type="entity-link">QrLoginDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/QrNotValidException.html" data-type="entity-link">QrNotValidException</a>
                            </li>
                            <li class="link">
                                <a href="classes/QrPdfGenerateDTO.html" data-type="entity-link">QrPdfGenerateDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/RegistrationDTO.html" data-type="entity-link">RegistrationDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/RegistrationFromCMSDTO.html" data-type="entity-link">RegistrationFromCMSDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/RegistrationResponseDTO.html" data-type="entity-link">RegistrationResponseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/SaveCourseDTO.html" data-type="entity-link">SaveCourseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/SaveCourseResponseDTO.html" data-type="entity-link">SaveCourseResponseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/SetCourseIsActiveDTO.html" data-type="entity-link">SetCourseIsActiveDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/SetFileToCourseDTO.html" data-type="entity-link">SetFileToCourseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/TagNotUniqueException.html" data-type="entity-link">TagNotUniqueException</a>
                            </li>
                            <li class="link">
                                <a href="classes/UnauthorizedException.html" data-type="entity-link">UnauthorizedException</a>
                            </li>
                            <li class="link">
                                <a href="classes/UnauthorizedExceptionFilter.html" data-type="entity-link">UnauthorizedExceptionFilter</a>
                            </li>
                            <li class="link">
                                <a href="classes/UploadFileDTO.html" data-type="entity-link">UploadFileDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/User.html" data-type="entity-link">User</a>
                            </li>
                            <li class="link">
                                <a href="classes/UserCodeDefined.html" data-type="entity-link">UserCodeDefined</a>
                            </li>
                            <li class="link">
                                <a href="classes/UserCourse.html" data-type="entity-link">UserCourse</a>
                            </li>
                            <li class="link">
                                <a href="classes/UserCourseModelDTO.html" data-type="entity-link">UserCourseModelDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/UserCourseResponseDTO.html" data-type="entity-link">UserCourseResponseDTO</a>
                            </li>
                            <li class="link">
                                <a href="classes/UserNotFoundException.html" data-type="entity-link">UserNotFoundException</a>
                            </li>
                            <li class="link">
                                <a href="classes/UserPasswordNotValidException.html" data-type="entity-link">UserPasswordNotValidException</a>
                            </li>
                            <li class="link">
                                <a href="classes/UserUniqueFiled.html" data-type="entity-link">UserUniqueFiled</a>
                            </li>
                            <li class="link">
                                <a href="classes/UserWithEmailAlreadyExistsException.html" data-type="entity-link">UserWithEmailAlreadyExistsException</a>
                            </li>
                        </ul>
                    </li>
                        <li class="chapter">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#injectables-links"' :
                                'data-target="#xs-injectables-links"' }>
                                <span class="icon ion-md-arrow-round-down"></span>
                                <span>Injectables</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                            <ul class="links collapse " ${ isNormalMode ? 'id="injectables-links"' : 'id="xs-injectables-links"' }>
                                <li class="link">
                                    <a href="injectables/AuthService.html" data-type="entity-link">AuthService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/CoursesService100.html" data-type="entity-link">CoursesService100</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/EmailService.html" data-type="entity-link">EmailService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/FIleService100.html" data-type="entity-link">FIleService100</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/GlobalService100.html" data-type="entity-link">GlobalService100</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/HelperService.html" data-type="entity-link">HelperService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/JwtQueryStrategy.html" data-type="entity-link">JwtQueryStrategy</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/JwtStrategy.html" data-type="entity-link">JwtStrategy</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/LanguageService100.html" data-type="entity-link">LanguageService100</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/LocalStrategy.html" data-type="entity-link">LocalStrategy</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/PdfService.html" data-type="entity-link">PdfService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/ResetDefaultValuesInterceptor.html" data-type="entity-link">ResetDefaultValuesInterceptor</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/UserService100.html" data-type="entity-link">UserService100</a>
                                </li>
                            </ul>
                        </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#guards-links"' :
                            'data-target="#xs-guards-links"' }>
                            <span class="icon ion-ios-lock"></span>
                            <span>Guards</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? 'id="guards-links"' : 'id="xs-guards-links"' }>
                            <li class="link">
                                <a href="guards/RolesGuard.html" data-type="entity-link">RolesGuard</a>
                            </li>
                        </ul>
                    </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#miscellaneous-links"'
                            : 'data-target="#xs-miscellaneous-links"' }>
                            <span class="icon ion-ios-cube"></span>
                            <span>Miscellaneous</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? 'id="miscellaneous-links"' : 'id="xs-miscellaneous-links"' }>
                            <li class="link">
                                <a href="miscellaneous/functions.html" data-type="entity-link">Functions</a>
                            </li>
                            <li class="link">
                                <a href="miscellaneous/variables.html" data-type="entity-link">Variables</a>
                            </li>
                        </ul>
                    </li>
                    <li class="chapter">
                        <a data-type="chapter-link" href="coverage.html"><span class="icon ion-ios-stats"></span>Documentation coverage</a>
                    </li>
                    <li class="divider"></li>
                    <li class="copyright">
                        Documentation generated using <a href="https://compodoc.app/" target="_blank">
                            <img data-src="images/compodoc-vectorise.png" class="img-responsive" data-type="compodoc-logo">
                        </a>
                    </li>
            </ul>
        </nav>
        `);
        this.innerHTML = tp.strings;
    }
});