import {
  IsNotEmpty,
  IsEmail,
  IsOptional,
} from "class-validator";

export class EditUserDataFromCMSDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  id: string;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsEmail(
    {},
    {
      message: "Helytelen formátum.",
    }
  )
  email: string;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  firstName: string;
  
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  lastName: string;

  @IsOptional()
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  oldPassWord: string;

  @IsOptional()
  newPassword: string;
}
