import { Column, Entity, ManyToMany, ManyToOne, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Course } from "./course.entity";

@Entity()
export class CourseModulType {
  @PrimaryGeneratedColumn({
    unsigned: true,
  })
  id: number;

  @Column({
    nullable: true,
    length: 255,
  })
  name: string | null;

  @OneToMany(
    (type) => Course,
    (course) => course.courseModulType,
    { onDelete: "CASCADE", onUpdate: "CASCADE", cascade: true }
  )
  courses: Course[];
}
