import { Column, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Course } from "./course.entity";
import { UserCourse } from "./user-course.entity";
import { User } from "./user.entity";

@Entity()
export class CourseStatus {
  @PrimaryGeneratedColumn({
    unsigned: true,
  })
  id: number;

  @Column({
    nullable: true,
    length: 255,
  })
  name: string | null;

  @OneToMany(
    (type) => Course,
    (course) => course.courseStatus,
    { onDelete: "CASCADE", onUpdate: "CASCADE"}
  )
  course: Course[];
}
