import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Statistics } from "./statistic.entity";
import { UserCourse } from "./user-course.entity";
import { User } from "./user.entity";

@Entity()
export class CourseType {

    @PrimaryGeneratedColumn({
        unsigned: true
    })
    id: number;

    @Column({
        nullable: true,
        length: 255
    })
    name: string | null;

    @OneToMany(type => UserCourse, userCourse => userCourse.courseType, { onDelete: 'CASCADE', onUpdate: 'CASCADE', cascade: true })
    userCourse: UserCourse[];

}
