import { Column, CreateDateColumn, Entity, ManyToOne, PrimaryGeneratedColumn, UpdateDateColumn } from "typeorm";
import { Course } from "./course.entity";
import { Files } from "./file-descriptor.entity";

@Entity()
export class FilesCourse {
  @PrimaryGeneratedColumn({
    unsigned: true,
  })
  id: number;

  @ManyToOne(
    (type) => Files,
    (file) => file.fileCourse,
    { onUpdate: "CASCADE", onDelete: "CASCADE" }
  )
  file: Files | null;

  @Column({
    unsigned: true,
  })
  fileId: number;

  @ManyToOne(
    (type) => Course,
    (course) => course.userCourse,
    { onUpdate: "CASCADE", onDelete: "CASCADE" }
  )
  course: Course | null;

  @Column({
    unsigned: true,
  })
  courseId: number;

  @CreateDateColumn()
  created: Date;

  @UpdateDateColumn()
  modified: Date;
}
