import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { User } from "./user.entity";

@Entity()
export class Group {

    @PrimaryGeneratedColumn({
        unsigned: true
    })
    id: number;

    @Column({
        nullable: true,
        length: 255
    })
    name: string | null;

    @OneToMany(type => User, user => user.group, { onDelete: 'CASCADE', onUpdate: 'CASCADE', cascade: true })
    users: User[];
}
