import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Course } from "./course.entity";
import { FilesCourse } from "./file-course.entity";
import { Files } from "./file-descriptor.entity";

@Entity()
export class Language {
  @PrimaryGeneratedColumn({
    unsigned: true,
  })
  id: number;
  @Column({
    nullable: true,
    length: 255,
  })
  name: string | null;

  @Column({
    nullable: true,
    length: 30,
    unique: true,
  })
  code: string | null;

  @Column({
    nullable: true,
    length: 255,
  })
  flagURL: string | null;

  @OneToMany(
    (type) => Course,
    (course) => course.language,
    { onDelete: "CASCADE", onUpdate: "CASCADE", cascade: true }
  )
  courses: Course[];
}
