import { Column, Entity, ManyToOne, PrimaryGeneratedColumn } from "typeorm";
import { Statistics } from "./statistic.entity";
@Entity()
export class StatisticsAction {
    @PrimaryGeneratedColumn({
        unsigned: true,
    })
    id: number;

    @Column({
        nullable: true,
        length: 255,
    })
    name: String | null;

    @Column({
        nullable: true,
    })
    type: Number | null;

    @Column({
        nullable: true,
    })
    timeSpent: String | null;


    @Column({
        nullable: true,
    })
    timeRecognition: Number | null;

    @Column({
        nullable: true,
    })
    actionType: String | null;

    //Kapcsolatok
    @ManyToOne(
        (type) => Statistics,
        (statistics) => statistics.statisticAction,
        { onUpdate: "CASCADE", onDelete: "CASCADE" }
    )
    statistics: Statistics | null;

}
