import { Column, CreateDateColumn, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn, UpdateDateColumn } from "typeorm";
import { Course } from "./course.entity";
import { StatisticsAction } from "./statistic-action.entity";
import { TactAction } from "./tact-action.entity";
import { User } from "./user.entity";
@Entity()
export class TactStatistics {
    @PrimaryGeneratedColumn({
        unsigned: true,
    })
    id: number;

    //Kapcsolatok
    @ManyToOne(
        (type) => User,
        (user) => user.tactStatistics,
        { onUpdate: "CASCADE", onDelete: "CASCADE" }
    )
    user: User | null;

    @ManyToOne(
        (type) => Course,
        (course) => course.tactStatistics,
        { onUpdate: "CASCADE", onDelete: "CASCADE" }
    )
    course: Course | null;

    @CreateDateColumn()
    created: Date;

    @UpdateDateColumn()
    modified: Date;

    @OneToMany(
        (type) => TactAction,
        (statistics) => statistics.tactStatistics,
        { onDelete: "CASCADE", onUpdate: "CASCADE", cascade: true }
    )
    tactAction: TactAction[];
}
