import { Column, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Course } from "./course.entity";
import { StatisticsAction } from "./statistic-action.entity";
import { User } from "./user.entity";
@Entity()
export class Statistics {
    @PrimaryGeneratedColumn({
        unsigned: true,
    })
    id: number;

    @Column({
        nullable: true,
        length: 255,
    })
    name: String | null;

    @Column({
        nullable: true,
    })
    type: Number | null;

    @Column({
        nullable: true,
    })
    date: Date | null;

    @Column({
        nullable: true,
    })
    time: Number | null;

    @Column({
        nullable: true,
    })
    success: Boolean | null;

    //Kapcsolatok
    @ManyToOne(
        (type) => User,
        (user) => user.statistics,
        { onUpdate: "CASCADE", onDelete: "CASCADE" }
    )
    user: User | null;

    @ManyToOne(
        (type) => Course,
        (course) => course.statistics,
        { onUpdate: "CASCADE", onDelete: "CASCADE" }
    )
    course: Course | null;

    @OneToMany(
        (type) => StatisticsAction,
        (statistics) => statistics.statistics,
        { onDelete: "CASCADE", onUpdate: "CASCADE", cascade: true }
    )
    statisticAction: StatisticsAction[];

}
