import { Column, CreateDateColumn, Entity, ManyToOne, PrimaryGeneratedColumn, UpdateDateColumn } from "typeorm";
import { TactStatistics } from "./statistic-tact.entity";
import { Statistics } from "./statistic.entity";
@Entity()
export class TactAction {
    @PrimaryGeneratedColumn({
        unsigned: true,
    })
    id: number;

    @Column({
        nullable: true,
    })
    actionComment: String | null;

    @Column({
        nullable: true,
    })
    tactTimeTarget: Number | null;

    @Column({
        nullable: true,
    })
    tactTimeCurrent: Number | null;

    @CreateDateColumn()
    created: Date;

    @UpdateDateColumn()
    modified: Date;

    //Kapcsolatok
    @ManyToOne(
        (type) => TactStatistics,
        (tactStatistics) => tactStatistics.tactAction,
        { onUpdate: "CASCADE", onDelete: "CASCADE" }
    )
    tactStatistics: TactStatistics | null;

}
