import { Column, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { User } from "./user.entity";

@Entity()
export class UserUniqueFiled {

    @PrimaryGeneratedColumn({
        unsigned: true
    })
    id: number;

    @Column({
        nullable: true,
        length: 255
    })
    name: string | null;

    @Column({
        nullable: true,
        length: 255
    })
    value: string | null;

    @ManyToOne(type => User, user => user.userUniqueField, { onDelete: 'CASCADE', onUpdate: 'CASCADE' })
    user: User;

}
