import { Module } from "@nestjs/common";
import { AuthService } from "./service/auth.service";
import { PassportModule } from "@nestjs/passport";
import { LocalStrategy } from "./strategy/local.strategy";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtStrategy } from "./strategy/jwt.strategy";
import { User } from "../../entity/user.entity";
import { JwtQueryStrategy } from "./strategy/picture.strategy";

@Module({
  imports: [TypeOrmModule.forFeature([User]), PassportModule],
  providers: [AuthService, LocalStrategy, JwtStrategy, JwtQueryStrategy ],
})
export class AuthModule {}
