import { HttpException, HttpStatus } from '@nestjs/common'

export class ApiException extends HttpException {

	code = 1
	message = 'Internal Server Error'
	http_status_code = HttpStatus.INTERNAL_SERVER_ERROR
	data = undefined

	constructor(data?: any) {

		super({
			code: 1,
			message: 'Internal Server Error'
		}, HttpStatus.INTERNAL_SERVER_ERROR)

		this.data = data

	}

	toJSON() {

		if(this.data !== undefined){
			return {

				code: this.code,
				message: this.message,
				data: this.data
	
			}
		}

		return {

			code: this.code,
			message: this.message

		}

	}

}
