import { ApiException } from './api.exception';
import { HttpStatus } from '@nestjs/common';
import { ValidationError } from 'class-validator';

export class InvalidParamsException extends ApiException {

	code = 10;
	message = 'Invalid Params';
	http_status_code = HttpStatus.BAD_REQUEST;

	constructor(errors: ValidationError[]) {
		super();
		
		const validationErrors = [];
		errors.forEach(message => {

			const messages = [];
			
			for(let prop in message.constraints){
				messages.push(message.constraints[prop]);
			}

			validationErrors.push({
				field: message.property,
				errors: messages
			});
		})

		this.data = validationErrors;
	}

}