import { ParseIntPipe, ArgumentMetadata, BadRequestException } from "@nestjs/common"
import { InvalidUrlParamsException } from "../exception/invalid.url.params.exception"

export class ApiParseIntPipe extends ParseIntPipe {
    public async transform (value, metadata: ArgumentMetadata) {
        try {
            return await super.transform(value, metadata)
        } catch (err) {
            if (err instanceof BadRequestException) {
                throw new InvalidUrlParamsException()
            }

            throw err
        }
    }
}