import {registerDecorator, ValidationOptions, ValidationArguments} from "class-validator";

export function IsContained(containArray: Array<number | string | boolean>, validationOptions?: ValidationOptions) {
   return function (object: Object, propertyName: string) {
        registerDecorator({
            name: "IsContained",
            target: object.constructor,
            propertyName: propertyName,
            constraints: [],
            options: validationOptions,
            validator: {
                validate(value: any, args: ValidationArguments) {
                    return containArray.includes(value);
                }
            }
        });
   };
}