import {registerDecorator, ValidationOptions, ValidationArguments} from "class-validator";

export function IsEndDateGraterOrEqualThanStartDate(validationOptions?: ValidationOptions) {
   return function (object: Object, propertyName: string) {
        registerDecorator({
            name: "IsEndDateGraterOrEqualThanStartDate",
            target: object.constructor,
            propertyName: propertyName,
            constraints: [],
            options: validationOptions,
            validator: {
                validate(value: any, args: ValidationArguments) {
                    const startDate = new Date((args.object as any).startDate);
                    const endDate = new Date(value);
                    
                    startDate.setHours(0, 0, 0, 0);
                    endDate.setHours(0, 0, 0, 0);

                    return startDate.getTime() <= endDate.getTime();
                }
            }
        });
   };
}