import {registerDecorator, ValidationOptions, ValidationArguments} from "class-validator";

export function IsGreaterThanToday(validationOptions?: ValidationOptions) {
   return function (object: Object, propertyName: string) {
        registerDecorator({
            name: "IsStringDate",
            target: object.constructor,
            propertyName: propertyName,
            constraints: [],
            options: validationOptions,
            validator: {
                validate(value: any, args: ValidationArguments) {
                    const date = new Date(value);
                    const today = new Date();

                    date.setHours(0, 0, 0 , 0);
                    today.setHours(0, 0, 0, 0);

                    return date.getTime() > today.getTime();
                }
            }
        });
   };
}