import {registerDecorator, ValidationOptions, ValidationArguments} from "class-validator";

export function IsNumeric(validationOptions?: ValidationOptions) {
   return function (object: Object, propertyName: string) {
        registerDecorator({
            name: "IsNumeric",
            target: object.constructor,
            propertyName: propertyName,
            constraints: [],
            options: validationOptions,
            validator: {
                validate(value: any, args: ValidationArguments) {
                   return typeof value === 'number' || !isNaN(parseFloat(value));
                }
            }
        });
   };
}