import {registerDecorator, ValidationOptions, ValidationArguments} from "class-validator";

export function IsStringDate(validationOptions?: ValidationOptions) {
   return function (object: Object, propertyName: string) {
        registerDecorator({
            name: "IsStringDate",
            target: object.constructor,
            propertyName: propertyName,
            constraints: [],
            options: validationOptions,
            validator: {
                validate(value: any, args: ValidationArguments) {
                    const date = new Date(value);
                    
                    return date.getTime() === date.getTime();
                }
            }
        });
   };
}